Bug 1246148 - It's hard to see in the logs if Pulp's celery components are not fully functional
Summary: It's hard to see in the logs if Pulp's celery components are not fully functi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-23 14:34 UTC by Brian Bouterse
Modified: 2019-09-25 21:16 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:16:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC
Pulp Redmine 1115 High CLOSED - CURRENTRELEASE As a user, it's easy to see in the logs if Pulp's celery components are not fully functional Never

Description Brian Bouterse 2015-07-23 14:34:55 UTC
Currently the pulp_celerybeat component periodically checks the list of known workers. That list includes the scheduler (pulp_celerybeat), the resource_manager, and some number of pulp_workers. Any of these three components can have multiple entries, but for correct Pulp operation, they all need to have at least one.

It would be useful and simple to have that check ensure that at least one of each type is present and log each type that is missing. I recommend logging at the 'error' level, and for each one, give a specific recommendation to the user about what process specifically is not running. Also indicate that Pulp will not function correctly without resolving this.

This has already been merged upstream so it's ready for cherry picking. See ref on the upstream bug.

Comment 1 RHEL Product and Program Management 2015-07-23 14:37:48 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 pulp-infra@redhat.com 2015-07-23 15:00:21 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 4 pulp-infra@redhat.com 2015-07-23 15:00:22 UTC
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.

Comment 6 pulp-infra@redhat.com 2015-10-22 15:01:05 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 7 pulp-infra@redhat.com 2015-11-09 21:01:03 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 10 jcallaha 2016-04-29 15:47:30 UTC
Verified in Satellite 6.2 Beta RC.

Comment 12 errata-xmlrpc 2016-07-27 09:16:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.